/* 基础模态框样式 */
.dialog-container, .dialog-container2 {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.dialog-mask {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
}
.dialog {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 70%;
    background-color: #fff;
    transform: translate(-50%, -50%);
}
.dialog {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 2;
    width: 80%; /* 默认宽度 */
    max-width: 600px; /* 最大宽度 */
    overflow: hidden;
    height: 65%;
}

.dialog-header {
    padding: 16px;
    background-color: #f1f1f1;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.dialog-title {
    font-size: 18px;
    font-weight: bold;
}

.dialog-close {
    cursor: pointer;
    font-size: 24px;
}

.dialog-close-pay {
    cursor: pointer;
    font-size: 24px;
}


.dialog-body {
    padding: 16px;
    overflow-y: auto;
    height: 100%;
}

.dialog-footer {
    text-align: center;
    margin-top: 20px;
}

.dialog-footer a {
    padding: 8px 16px;
    background-color: #007bff;
    color: #fff;
    text-decoration: none;
    border-radius: 4px;
    cursor: pointer;
    margin: 0 5px;
}

.dialog-footer a:hover {
    background-color: #0056b3;
}

/* 确保iframe全屏显示 */
iframe {
    border: none;
    display: block;
}

/* 小屏幕适配 */
@media (max-width: 576px) {
    .dialog-container, .dialog-container2 {
        justify-content: flex-start;
        align-items: flex-start;
    }

    .dialog {
        width: 95%;
    }
}
